<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Select ServiceType
 * @subpackage Services
 */
class Select extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named SelectSiparis
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparis $parameters
     * @return \StructType\SelectSiparisResponse|bool
     */
    public function SelectSiparis(\StructType\SelectSiparis $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparis($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisOdeme
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisOdeme $parameters
     * @return \StructType\SelectSiparisOdemeResponse|bool
     */
    public function SelectSiparisOdeme(\StructType\SelectSiparisOdeme $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisOdeme($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectCariOdeme
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectCariOdeme $parameters
     * @return \StructType\SelectCariOdemeResponse|bool
     */
    public function SelectCariOdeme(\StructType\SelectCariOdeme $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectCariOdeme($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisUrun $parameters
     * @return \StructType\SelectSiparisUrunResponse|bool
     */
    public function SelectSiparisUrun(\StructType\SelectSiparisUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisKampanya
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisKampanya $parameters
     * @return \StructType\SelectSiparisKampanyaResponse|bool
     */
    public function SelectSiparisKampanya(\StructType\SelectSiparisKampanya $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisKampanya($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSepet
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSepet $parameters
     * @return \StructType\SelectSepetResponse|bool
     */
    public function SelectSepet(\StructType\SelectSepet $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSepet($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectHediyeCeki
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectHediyeCeki $parameters
     * @return \StructType\SelectHediyeCekiResponse|bool
     */
    public function SelectHediyeCeki(\StructType\SelectHediyeCeki $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectHediyeCeki($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisUrunDurumlari
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisUrunDurumlari $parameters
     * @return \StructType\SelectSiparisUrunDurumlariResponse|bool
     */
    public function SelectSiparisUrunDurumlari(\StructType\SelectSiparisUrunDurumlari $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisUrunDurumlari($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectUrunIadeNedenleri
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectUrunIadeNedenleri $parameters
     * @return \StructType\SelectUrunIadeNedenleriResponse|bool
     */
    public function SelectUrunIadeNedenleri(\StructType\SelectUrunIadeNedenleri $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectUrunIadeNedenleri($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisKargoPaket
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisKargoPaket $parameters
     * @return \StructType\SelectSiparisKargoPaketResponse|bool
     */
    public function SelectSiparisKargoPaket(\StructType\SelectSiparisKargoPaket $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisKargoPaket($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectWebSepet
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectWebSepet $parameters
     * @return \StructType\SelectWebSepetResponse|bool
     */
    public function SelectWebSepet(\StructType\SelectWebSepet $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectWebSepet($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectEFatura
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectEFatura $parameters
     * @return \StructType\SelectEFaturaResponse|bool
     */
    public function SelectEFatura(\StructType\SelectEFatura $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectEFatura($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectIadeOdeme
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectIadeOdeme $parameters
     * @return \StructType\SelectIadeOdemeResponse|bool
     */
    public function SelectIadeOdeme(\StructType\SelectIadeOdeme $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectIadeOdeme($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectTelefonlaSiparis
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectTelefonlaSiparis $parameters
     * @return \StructType\SelectTelefonlaSiparisResponse|bool
     */
    public function SelectTelefonlaSiparis(\StructType\SelectTelefonlaSiparis $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectTelefonlaSiparis($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisDurumlari
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisDurumlari $parameters
     * @return \StructType\SelectSiparisDurumlariResponse|bool
     */
    public function SelectSiparisDurumlari(\StructType\SelectSiparisDurumlari $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisDurumlari($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectOdemeTipleri
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectOdemeTipleri $parameters
     * @return \StructType\SelectOdemeTipleriResponse|bool
     */
    public function SelectOdemeTipleri(\StructType\SelectOdemeTipleri $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectOdemeTipleri($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisDurum
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisDurum $parameters
     * @return \StructType\SelectSiparisDurumResponse|bool
     */
    public function SelectSiparisDurum(\StructType\SelectSiparisDurum $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisDurum($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisDurumLog
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisDurumLog $parameters
     * @return \StructType\SelectSiparisDurumLogResponse|bool
     */
    public function SelectSiparisDurumLog(\StructType\SelectSiparisDurumLog $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisDurumLog($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\SelectCariOdemeResponse|\StructType\SelectEFaturaResponse|\StructType\SelectHediyeCekiResponse|\StructType\SelectIadeOdemeResponse|\StructType\SelectOdemeTipleriResponse|\StructType\SelectSepetResponse|\StructType\SelectSiparisDurumlariResponse|\StructType\SelectSiparisDurumLogResponse|\StructType\SelectSiparisDurumResponse|\StructType\SelectSiparisKampanyaResponse|\StructType\SelectSiparisKargoPaketResponse|\StructType\SelectSiparisOdemeResponse|\StructType\SelectSiparisResponse|\StructType\SelectSiparisUrunDurumlariResponse|\StructType\SelectSiparisUrunResponse|\StructType\SelectTelefonlaSiparisResponse|\StructType\SelectUrunIadeNedenleriResponse|\StructType\SelectWebSepetResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
